Copyright Dr. H. K. D. H. Bhadeshia, University of Cambridge
C December 1990
C Version 1.1
C
C  BTIME, seconds, is the additional incubation time for diffusional C-curve
C  as modified by the presence of soluble boron.
C  PPMBSL is soluble boron concentration, ppm by wt.
C  Needs to incorporate an effect due to austenite grain size,
C    the time available for the boron to segregate to the austenite
C    grains, the use of excessive boron and deterimental consequences,
C    dependence of boron effect on carbon concentration
C  FBOR1 = 20 x slope of the allotriomorphic ferrite/boron interaction
C  FBOR2 sets the limit of the interaction beyond which soluble B is useless
C
      SUBROUTINE MAP_STEEL_BOR(BTIME,PPMBSL,FBOR1,FBOR2)
C
      IMPLICIT NONE
      DOUBLE PRECISION BTIME,PPMBSL,FBOR1,FBOR2
C
      IF (PPMBSL .GT. FBOR2) THEN
          BTIME = FBOR2*FBOR1/20.0D0
      ELSE
          BTIME=PPMBSL*FBOR1/20.0D0
      ENDIF
      RETURN
      END
